<ion-content padding>
    <div class="pageContainer">
      <div class="pageContainerInner">
        <div class="logoContainer">
          <img src="../../assets/images/logoWhite.png">
          <p>Never lose your WARRANTIES</p>
        </div>
  
  <form #fregisterUser="ngForm" (ngSubmit)="fregisterUser.valid && registerUser()" novalidate="novalidate">
        <div class="box">
          <p class="text-center">Registration</p>
          <div class="mobileNumberContainer">
            <ion-input type="tel" minlength="10" maxlength="10" clearInput placeholder="Mobile Number" [(ngModel)]="model.mobileNumber" name="mobileNumber" #mobileNumber=ngModel required></ion-input>
          </div>
            <div *ngIf="fregisterUser.submitted">
              <div *ngIf="mobileNumber?.errors?.required">
                This field is required.
              </div>
              <div *ngIf="mobileNumber?.errors?.minlength">
                Wrong mobile number.
              </div>
           </div>
          <div class="mobileNumberContainer">
              <ion-input clearInput placeholder="Name" [(ngModel)]="model.name" #name=ngModel name="name" required></ion-input>
          </div>
          <div *ngIf="fregisterUser.submitted && name?.errors?.required">
            This field is required.
          </div>
          <div class="mobileNumberContainer">
              <ion-input  type="password" minlength="6" maxlength="20" clearInput placeholder="Password" [(ngModel)]="model.password" #password=ngModel name="password" required></ion-input>
          </div>

          <div *ngIf="fregisterUser.submitted">
            <div *ngIf="password?.errors?.required">
              This field is required.
            </div>
            <div *ngIf="password?.errors?.minlength">
              Password must contains 6 characters.
            </div>
          </div>
        
          <div class="mobileNumberContainer">
              <ion-input type="password" minlength="6" maxlength="20" clearInput placeholder="Confirm Password" [(ngModel)]="model.confirmPassword" #confirmPassword=ngModel name="confirmPassword"  required></ion-input>
          </div>
          <div *ngIf="fregisterUser.submitted">
            <div *ngIf="confirmPassword?.errors?.required">
              This field is required.
            </div>
            <div *ngIf="confirmPassword?.errors?.minlength">
              Password must contains 6 characters.
            </div>
          </div>

          <ion-button expand="full"  [routerDirection]="'root'" type="submit" >Register</ion-button>
          <ion-button  expand="full" [routerDirection]="'root'"  routerLink="/login" fill="clear"> <ion-icon name="arrow-back"> </ion-icon> &nbsp; Back</ion-button>
        </div>
  </form>
      </div>
    </div>
  </ion-content>